"""
管理文件
启动
"""
from flask_shop import create_app, db   # 导入负责创建应用的对象
from flask_migrate import Migrate, MigrateCommand
from flask_script import Manager

app = create_app('development')

manager = Manager(app)

# 用来绑定app和db到flask-migrate的
Migrate(app, db)

# 添加Migrate的所有子命令到db下
manager.add_command("db", MigrateCommand)

if __name__ == "__main__":
    app.run()
    # manager.run()